<?php

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * meta
 */
function xxNotify_meta()
{
    $_tmp = array(
        'name'        => 'Notify Module',
        'url'         => 'notify',
        'version'     => '1.0.0',
        'developer'   => 'Your Name Here, &copy;' . strftime('%Y'),
        'description' => 'Notify all admins when a new anything is created.',
        'category'    => 'site'
    );
    return $_tmp;
}

/**
 * init
 */
function xxNotify_init()
{
    $_tmp = array(
        'label' => 'Item Created',
        'help'  => 'Notify all admins when anything is created.',
        'group' => 'admin'
    );
    jrCore_register_module_feature('jrUser', 'notification', 'xxNotify', 'notify_admins', $_tmp);

    jrCore_register_event_listener('jrCore', 'db_create_item', 'xxNotify_db_create_item_listener');
    return;
}

function xxNotify_db_create_item_listener($_data, $_user, $_conf, $_args, $event)
{

    if (isset($_args['module']) && jrCore_module_is_active($_args['module'])) {
        //send an email to all who need to know that something has been created

        //find all the master admin users emails.
        $_sp = array(
            'search'        => array(
                "user_group = master"
            ),
            'skip_triggers' => true,
            'limit'         => 1000
        );
        $_rt = jrCore_db_search_items('jrUser', $_sp);

        if (isset($_rt) && isset($_rt['_items']) && is_array($_rt['_items'])) {
            list($sub, $msg) = jrCore_parse_email_templates('xxNotify', 'notify_admins', $_data);
            foreach ($_rt['_items'] as $_v) {
               $worked =  jrUser_notify($_v['_user_id'], 0, 'xxNotify', 'notify_admins', $sub, $msg);
            }
        }

    }

    return $_data;
}